export declare function IntentDefinition(metadata: IntentMetadata): (target: any) => any;
export declare class IntentMetadataExtractor {
    static extract(intent: Function): IntentMetadata;
}
export interface IntentMetadata {
    name: string;
    description?: string;
    examples?: {
        Simple?: string;
        Elegant?: string;
    };
    docs_url?: string;
    [index: string]: any;
}
