import { interfaces } from "inversify";
import { IIntentRegistry } from "./IIntentRegistry";
import { Intent } from "./Intent";
export declare class IntentRegistry implements IIntentRegistry {
    private container;
    constructor(container: interfaces.Container);
    add(intent: interfaces.Newable<Intent>): IIntentRegistry;
    has(name: string): boolean;
    get(name: string): Intent;
    getAll(): Intent[];
}
