import { interfaces } from "inversify";
import { IModule } from "../modules/IModule";
import { Intent } from "./intent/Intent";
import { IIntentRegistry } from "./intent/IIntentRegistry";
export declare class DickBottEngine {
    private container;
    private modules;
    private intentRegistry;
    constructor(container?: interfaces.Container, registryRetriever?: (container?: interfaces.Container) => IIntentRegistry);
    registerModule(module: IModule): boolean;
    getService<T>(serviceIdentifier: string): T;
    registerIntent(intent: interfaces.Newable<Intent>): DickBottEngine;
}
export declare function defaultRegistryRetriever(container: interfaces.Container): IIntentRegistry;
