import { IIntentDispatcher } from "./IIntentDispatcher";
import { IIntentRepository } from "../intent/IIntentRepository";
import { IIntentRegistry } from "../intent/IIntentRegistry";
export declare class IntentDispatcher implements IIntentDispatcher {
    private intentRegistry;
    private intentRepository;
    constructor(intentRegistry: IIntentRegistry, intentRepository: IIntentRepository);
    dispatch<I, O>(intentName: string, entities: I): Promise<O>;
    complete<I, O>(actions: any): Promise<O>;
}
